Bug 69109 - Limbo install: selecting grub results in unbootable system
Limbo install: selecting grub results in unbootable system
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda (Show other bugs)
limbo
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks: 67217
  Show dependency treegraph
 
Reported: 2002-07-17 17:14 EDT by Peter Bieringer
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-19 02:28:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Bieringer 2002-07-17 17:14:30 EDT
Description of problem:
After installing Limbo (selected grub as bootmanager) the system cannot boot
anymore

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1. Previous RHL 7.2 was overwritten by repartitioning, but LiLo still resists in
MBR
2. Installing Limbo, selec grub as bootmanager and select /dev/hda for
bootmanager
3. Reboot
	

Actual Results:  "LI", means grub hasn't installed itself in MBR

Expected Results:  Booting

Additional info:

Solved by booting Limbo in rescue mode from floppy again and
# chroot /mnt/sysimage
# /sbin/grub-install /dev/hda

Afterwards Limbo boots without any problem.

Perhaps anaconda misses the grub-install
Comment 1 Jeremy Katz 2002-07-18 23:24:33 EDT
Was this a text mode install?
Comment 2 Peter Bieringer 2002-07-19 02:08:54 EDT
Yes, "expert text", my preferred installation mode for servers.
Comment 3 Jeremy Katz 2002-07-19 02:28:43 EDT
Okay, this should be fixed in CVS
Comment 4 David Lawrence 2002-09-05 16:54:31 EDT
verified fixed in latest trees.

Note You need to log in before you can comment on or make changes to this bug.